$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-9cb4402c16bda5b3930ee1ad7501d5503c11ae22/rpcs3-v0.0.10-10563-9cb4402c_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '3b3f0e05c305e335c3d1a18a108f2b8f2f972a5b4a63d0a86eb00770da416f00'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
